import{S as Qr,i as Yr,s as es,e as a,k as d,w as g,t as s,M as ts,c as n,d as o,m as c,a as r,x as _,h as i,b as l,G as e,g as h,y as v,q as b,o as k,B as y,v as os,L as Zr}from"../../chunks/vendor-hf-doc-builder.js";import{T as as}from"../../chunks/Tip-hf-doc-builder.js";import{D as q}from"../../chunks/Docstring-hf-doc-builder.js";import{C as So}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ke}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Kr}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function ns(J){let p,T;return p=new So({props:{code:`from transformers import LlamaModel, LlamaConfig

# Initializing a LLaMA llama-7b style configuration
configuration = LlamaConfig()

# Initializing a model from the llama-7b style configuration
model = LlamaModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> LlamaModel, LlamaConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a LLaMA llama-7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = LlamaConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the llama-7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = LlamaModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){g(p.$$.fragment)},l(f){_(p.$$.fragment,f)},m(f,L){v(p,f,L),T=!0},p:Zr,i(f){T||(b(p.$$.fragment,f),T=!0)},o(f){k(p.$$.fragment,f),T=!1},d(f){y(p,f)}}}function rs(J){let p,T,f,L,M;return L=new So({props:{code:`from transformers import AutoTokenizer, LlamaForCausalLM

model = LlamaForCausalLM.from_pretrained(PATH_TO_CONVERTED_WEIGHTS)
tokenizer = AutoTokenizer.from_pretrained(PATH_TO_CONVERTED_TOKENIZER)

prompt = "Hey, are you consciours? Can you talk to me?"
inputs = tokenizer(prompt, return_tensors="pt")

# Generate
generate_ids = model.generate(inputs.input_ids, max_length=30)
tokenizer.batch_decode(generate_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, LlamaForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>model = LlamaForCausalLM.from_pretrained(PATH_TO_CONVERTED_WEIGHTS)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(PATH_TO_CONVERTED_TOKENIZER)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;Hey, are you consciours? Can you talk to me?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(prompt, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>generate_ids = model.generate(inputs.input_ids, max_length=<span class="hljs-number">30</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(generate_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;Hey, are you consciours? Can you talk to me?\\nI&#x27;m not consciours, but I can talk to you.&quot;</span>`}}),{c(){p=a("p"),T=s("Example:"),f=d(),g(L.$$.fragment)},l(u){p=n(u,"P",{});var $=r(p);T=i($,"Example:"),$.forEach(o),f=c(u),_(L.$$.fragment,u)},m(u,$){h(u,p,$),e(p,T),h(u,f,$),v(L,u,$),M=!0},p:Zr,i(u){M||(b(L.$$.fragment,u),M=!0)},o(u){k(L.$$.fragment,u),M=!1},d(u){u&&o(p),u&&o(f),y(L,u)}}}function ss(J){let p,T,f,L,M;return{c(){p=a("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=a("code"),L=s("Module"),M=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(u){p=n(u,"P",{});var $=r(p);T=i($,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n($,"CODE",{});var K=r(f);L=i(K,"Module"),K.forEach(o),M=i($,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),$.forEach(o)},m(u,$){h(u,p,$),e(p,T),e(p,f),e(f,L),e(p,M)},d(u){u&&o(p)}}}function is(J){let p,T,f,L,M,u,$,K,No,Jt,B,Z,vt,fe,Do,bt,Bo,Kt,Ze,jo,Zt,Qe,Wo,Qt,Ye,kt,Ho,Yt,et,Go,eo,Q,tt,Vo,ue,Ro,Uo,ge,Xo,ot,Jo,Ko,to,_e,oo,at,yt,Zo,ao,ve,no,nt,I,Qo,be,Yo,ea,Lt,ta,oa,wt,aa,na,ro,C,ra,ke,sa,ia,ye,la,da,Le,ca,ma,we,ha,pa,so,j,Y,Tt,Te,fa,$t,ua,io,P,$e,ga,ze,_a,rt,va,ba,ka,W,ya,st,La,wa,it,Ta,$a,za,ee,lo,H,te,zt,Ee,Ea,Et,Ma,co,z,Me,Ca,Mt,xa,Pa,lt,Ce,Aa,oe,xe,Fa,Pe,qa,Ct,Ia,Oa,Sa,ae,Ae,Na,xt,Da,Ba,ne,Fe,ja,Pt,Wa,mo,G,re,At,qe,Ha,Ft,Ga,ho,E,Ie,Va,Oe,Ra,dt,Ua,Xa,Ja,Se,Ka,Ne,Za,Qa,Ya,se,en,qt,tn,on,It,an,nn,ct,De,po,V,ie,Ot,Be,rn,St,sn,fo,R,je,ln,le,We,dn,de,uo,U,ce,Nt,He,cn,Dt,mn,go,w,Ge,hn,Bt,pn,fn,mt,ht,un,gn,_n,A,vn,jt,bn,kn,Wt,yn,Ln,Ht,wn,Tn,Gt,$n,zn,En,Ve,Mn,pt,Cn,xn,Pn,Re,An,Ue,Fn,qn,In,O,Xe,On,X,Sn,ft,Nn,Dn,Vt,Bn,jn,Wn,me,_o;return u=new Ke({}),fe=new Ke({}),_e=new So({props:{code:`python src/transformers/models/llama/convert_llama_weights_to_hf.py \\
    --input_dir /path/to/downloaded/llama/weights --model_size 7B --output_dir /output/path`,highlighted:`python src/transformers/models/llama/convert_llama_weights_to_hf.py \\
    --input_dir /path/to/downloaded/llama/weights --model_size 7B --output_dir /output/path`}}),ve=new So({props:{code:`from transformers import LlamaForCausalLM, LlamaTokenizer

tokenizer = LlamaTokenizer.from_pretrained("/output/path/tokenizer/")
model = LlamaForCausalLM.from_pretrained("/output/path/llama-7b/")`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> LlamaForCausalLM, LlamaTokenizer

tokenizer = LlamaTokenizer.from_pretrained(<span class="hljs-string">&quot;/output/path/tokenizer/&quot;</span>)
model = LlamaForCausalLM.from_pretrained(<span class="hljs-string">&quot;/output/path/llama-7b/&quot;</span>)`}}),Te=new Ke({}),$e=new q({props:{name:"class transformers.LlamaConfig",anchor:"transformers.LlamaConfig",parameters:[{name:"vocab_size",val:" = 32000"},{name:"hidden_size",val:" = 4096"},{name:"intermediate_size",val:" = 11008"},{name:"num_hidden_layers",val:" = 32"},{name:"num_attention_heads",val:" = 32"},{name:"hidden_act",val:" = 'silu'"},{name:"initializer_range",val:" = 0.02"},{name:"rms_norm_eps",val:" = 1e-06"},{name:"use_cache",val:" = True"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 1"},{name:"eos_token_id",val:" = 2"},{name:"tie_word_embeddings",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.LlamaConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32000) &#x2014;
Vocabulary size of the LLaMA model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/llama#transformers.LlamaModel">LlamaModel</a>`,name:"vocab_size"},{anchor:"transformers.LlamaConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimension of the hidden representations.`,name:"hidden_size"},{anchor:"transformers.LlamaConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 11008) &#x2014;
Dimension of the MLP representations.`,name:"intermediate_size"},{anchor:"transformers.LlamaConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.LlamaConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.LlamaConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the decoder.`,name:"hidden_act"},{anchor:"transformers.LlamaConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.LlamaConfig.rms_norm_eps",description:`<strong>rms_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the rms normalization layers.`,name:"rms_norm_eps"},{anchor:"transformers.LlamaConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.LlamaConfig.tie_word_embeddings(bool,",description:`<strong>tie_word_embeddings(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to tie weight embeddings
Example &#x2014;`,name:"tie_word_embeddings(bool,"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/configuration_llama.py#L31"}}),ee=new Kr({props:{anchor:"transformers.LlamaConfig.example",$$slots:{default:[ns]},$$scope:{ctx:J}}}),Ee=new Ke({}),Me=new q({props:{name:"class transformers.LlamaTokenizer",anchor:"transformers.LlamaTokenizer",parameters:[{name:"vocab_file",val:""},{name:"unk_token",val:" = '<unk>'"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"add_bos_token",val:" = True"},{name:"add_eos_token",val:" = False"},{name:"decode_with_prefix_space",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.LlamaTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L39"}}),Ce=new q({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.LlamaTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L168"}}),xe=new q({props:{name:"get_special_tokens_mask",anchor:"transformers.LlamaTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.LlamaTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.LlamaTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.LlamaTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L184",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Ae=new q({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.LlamaTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.LlamaTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.LlamaTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L211",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Fe=new q({props:{name:"save_vocabulary",anchor:"transformers.LlamaTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:""},{name:"filename_prefix",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"transformers.LlamaTokenizer.save_vocabulary.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
The directory in which to save the vocabulary.`,name:"save_directory"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L141",returnDescription:`
<p>Paths to the files saved.</p>
`,returnType:`
<p><code>Tuple(str)</code></p>
`}}),qe=new Ke({}),Ie=new q({props:{name:"class transformers.LlamaModel",anchor:"transformers.LlamaModel",parameters:[{name:"config",val:": LlamaConfig"}],parametersDescription:[{anchor:"transformers.LlamaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/llama#transformers.LlamaConfig">LlamaConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.
config &#x2014; LlamaConfig`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L443"}}),De=new q({props:{name:"forward",anchor:"transformers.LlamaModel.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.LlamaModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.LlamaModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.LlamaModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.LlamaModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.LlamaModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation.
This is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors
than the model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.LlamaModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.LlamaModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.LlamaModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L491"}}),Be=new Ke({}),je=new q({props:{name:"class transformers.LlamaForCausalLM",anchor:"transformers.LlamaForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L647"}}),We=new q({props:{name:"forward",anchor:"transformers.LlamaForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.LlamaForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.LlamaForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.LlamaForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.LlamaForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation.
This is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors
than the model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.LlamaForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.LlamaForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.LlamaForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.LlamaForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.LlamaForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L677",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/llama#transformers.LlamaConfig"
>LlamaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),de=new Kr({props:{anchor:"transformers.LlamaForCausalLM.forward.example",$$slots:{default:[rs]},$$scope:{ctx:J}}}),He=new Ke({}),Ge=new q({props:{name:"class transformers.LlamaForSequenceClassification",anchor:"transformers.LlamaForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.LlamaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/llama#transformers.LlamaConfig">LlamaConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L844"}}),Xe=new q({props:{name:"forward",anchor:"transformers.LlamaForSequenceClassification.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.LlamaForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.LlamaForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>If you want to change padding behavior, you should read <code>modeling_opt._prepare_decoder_attention_mask</code>
and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more
information on the default strategy.</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"attention_mask"},{anchor:"transformers.LlamaForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.LlamaForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.LlamaForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.LlamaForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.LlamaForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.LlamaForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.LlamaForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L862"}}),me=new as({props:{$$slots:{default:[ss]},$$scope:{ctx:J}}}),{c(){p=a("meta"),T=d(),f=a("h1"),L=a("a"),M=a("span"),g(u.$$.fragment),$=d(),K=a("span"),No=s("LLaMA"),Jt=d(),B=a("h2"),Z=a("a"),vt=a("span"),g(fe.$$.fragment),Do=d(),bt=a("span"),Bo=s("Overview"),Kt=d(),Ze=a("p"),jo=s("The LLaMA model was proposed in [LLaMA: Open and Efficient Foundation Language Models](LLaMA: Open and Efficient Foundation Language Models)  by Hugo Touvron, Thibaut Lavril, Gautier Izacard, Xavier Martinet, Marie-Anne Lachaux, Timoth\xE9e Lacroix, Baptiste Rozi\xE8re, Naman Goyal, Eric Hambro, Faisal Azhar, Aurelien Rodriguez, Armand Joulin, Edouard Grave, Guillaume Lample. It is a collection of foundation language models ranging from 7B to 65B parameters."),Zt=d(),Qe=a("p"),Wo=s("The abstract from the paper is the following:"),Qt=d(),Ye=a("p"),kt=a("em"),Ho=s("We introduce LLaMA, a collection of foundation language models ranging from 7B to 65B parameters. We train our models on trillions of tokens, and show that it is possible to train state-of-the-art models using publicly available datasets exclusively, without resorting to proprietary and inaccessible datasets. In particular, LLaMA-13B outperforms GPT-3 (175B) on most benchmarks, and LLaMA-65B is competitive with the best models, Chinchilla-70B and PaLM-540B. We release all our models to the research community."),Yt=d(),et=a("p"),Go=s("Tips:"),eo=d(),Q=a("ul"),tt=a("li"),Vo=s("Weights for the LLaMA models can be obtained from by filling out "),ue=a("a"),Ro=s("this form"),Uo=d(),ge=a("li"),Xo=s("After downloading the weights, they will need to be converted to the Hugging Face Transformers format using the "),ot=a("a"),Jo=s("conversion script"),Ko=s(". The script can be called with the following (example) command:"),to=d(),g(_e.$$.fragment),oo=d(),at=a("ul"),yt=a("li"),Zo=s("After conversion, the model and tokenizer can be loaded via:"),ao=d(),g(ve.$$.fragment),no=d(),nt=a("ul"),I=a("li"),Qo=s("The LLaMA tokenizer is based on "),be=a("a"),Yo=s("sentencepiece"),ea=s(". One quirk of sentencepiece is that when decoding a sequence, if the first token is the start of the word (e.g. \u201CBanana\u201D), the tokenizer does not prepend the prefix space to the string. To have the tokenizer output the prefix space, set "),Lt=a("code"),ta=s("decode_with_prefix_space=True"),oa=s(" in the "),wt=a("code"),aa=s("LlamaTokenizer"),na=s(" object or in the tokenizer configuration."),ro=d(),C=a("p"),ra=s("This model was contributed by "),ke=a("a"),sa=s("zphang"),ia=s(" with contributions from "),ye=a("a"),la=s("BlackSamorez"),da=s(". The code of the implementation in Hugging Face is based on GPT-NeoX "),Le=a("a"),ca=s("here"),ma=s(". The original code of the authors can be found "),we=a("a"),ha=s("here"),pa=s("."),so=d(),j=a("h2"),Y=a("a"),Tt=a("span"),g(Te.$$.fragment),fa=d(),$t=a("span"),ua=s("LlamaConfig"),io=d(),P=a("div"),g($e.$$.fragment),ga=d(),ze=a("p"),_a=s("This is the configuration class to store the configuration of a "),rt=a("a"),va=s("LlamaModel"),ba=s(`. It is used to instantiate an LLaMA
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the LLaMA-7B.`),ka=d(),W=a("p"),ya=s("Configuration objects inherit from "),st=a("a"),La=s("PretrainedConfig"),wa=s(` and can be used to control the model outputs. Read the
documentation from `),it=a("a"),Ta=s("PretrainedConfig"),$a=s(" for more information."),za=d(),g(ee.$$.fragment),lo=d(),H=a("h2"),te=a("a"),zt=a("span"),g(Ee.$$.fragment),Ea=d(),Et=a("span"),Ma=s("LlamaTokenizer"),co=d(),z=a("div"),g(Me.$$.fragment),Ca=d(),Mt=a("p"),xa=s("Construct a Llama tokenizer. Based on byte-level Byte-Pair-Encoding."),Pa=d(),lt=a("div"),g(Ce.$$.fragment),Aa=d(),oe=a("div"),g(xe.$$.fragment),Fa=d(),Pe=a("p"),qa=s(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Ct=a("code"),Ia=s("prepare_for_model"),Oa=s(" method."),Sa=d(),ae=a("div"),g(Ae.$$.fragment),Na=d(),xt=a("p"),Da=s(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),Ba=d(),ne=a("div"),g(Fe.$$.fragment),ja=d(),Pt=a("p"),Wa=s("Save the vocabulary and special tokens file to a directory."),mo=d(),G=a("h2"),re=a("a"),At=a("span"),g(qe.$$.fragment),Ha=d(),Ft=a("span"),Ga=s("LlamaModel"),ho=d(),E=a("div"),g(Ie.$$.fragment),Va=d(),Oe=a("p"),Ra=s(`The bare LLaMA Model outputting raw hidden-states without any specific head on top.
This model inherits from `),dt=a("a"),Ua=s("PreTrainedModel"),Xa=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ja=d(),Se=a("p"),Ka=s("This model is also a PyTorch "),Ne=a("a"),Za=s("torch.nn.Module"),Qa=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ya=d(),se=a("p"),en=s("Transformer decoder consisting of "),qt=a("em"),tn=s("config.num_hidden_layers"),on=s(" layers. Each layer is a "),It=a("code"),an=s("LlamaDecoderLayer"),nn=d(),ct=a("div"),g(De.$$.fragment),po=d(),V=a("h2"),ie=a("a"),Ot=a("span"),g(Be.$$.fragment),rn=d(),St=a("span"),sn=s("LlamaForCausalLM"),fo=d(),R=a("div"),g(je.$$.fragment),ln=d(),le=a("div"),g(We.$$.fragment),dn=d(),g(de.$$.fragment),uo=d(),U=a("h2"),ce=a("a"),Nt=a("span"),g(He.$$.fragment),cn=d(),Dt=a("span"),mn=s("LlamaForSequenceClassification"),go=d(),w=a("div"),g(Ge.$$.fragment),hn=d(),Bt=a("p"),pn=s("The LLaMa Model transformer with a sequence classification head on top (linear layer)."),fn=d(),mt=a("p"),ht=a("a"),un=s("LlamaForSequenceClassification"),gn=s(` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do.`),_n=d(),A=a("p"),vn=s(`Since it does classification on the last token, it requires to know the position of the last token. If a
`),jt=a("code"),bn=s("pad_token_id"),kn=s(` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),Wt=a("code"),yn=s("pad_token_id"),Ln=s(` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Ht=a("code"),wn=s("inputs_embeds"),Tn=s(" are passed instead of "),Gt=a("code"),$n=s("input_ids"),zn=s(`, it does the same (take the last value in
each row of the batch).`),En=d(),Ve=a("p"),Mn=s("This model inherits from "),pt=a("a"),Cn=s("PreTrainedModel"),xn=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Pn=d(),Re=a("p"),An=s("This model is also a PyTorch "),Ue=a("a"),Fn=s("torch.nn.Module"),qn=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),In=d(),O=a("div"),g(Xe.$$.fragment),On=d(),X=a("p"),Sn=s("The "),ft=a("a"),Nn=s("LlamaForSequenceClassification"),Dn=s(" forward method, overrides the "),Vt=a("code"),Bn=s("__call__"),jn=s(" special method."),Wn=d(),g(me.$$.fragment),this.h()},l(t){const m=ts('[data-svelte="svelte-1phssyn"]',document.head);p=n(m,"META",{name:!0,content:!0}),m.forEach(o),T=c(t),f=n(t,"H1",{class:!0});var Je=r(f);L=n(Je,"A",{id:!0,class:!0,href:!0});var Rt=r(L);M=n(Rt,"SPAN",{});var Ut=r(M);_(u.$$.fragment,Ut),Ut.forEach(o),Rt.forEach(o),$=c(Je),K=n(Je,"SPAN",{});var Vn=r(K);No=i(Vn,"LLaMA"),Vn.forEach(o),Je.forEach(o),Jt=c(t),B=n(t,"H2",{class:!0});var vo=r(B);Z=n(vo,"A",{id:!0,class:!0,href:!0});var Rn=r(Z);vt=n(Rn,"SPAN",{});var Un=r(vt);_(fe.$$.fragment,Un),Un.forEach(o),Rn.forEach(o),Do=c(vo),bt=n(vo,"SPAN",{});var Xn=r(bt);Bo=i(Xn,"Overview"),Xn.forEach(o),vo.forEach(o),Kt=c(t),Ze=n(t,"P",{});var Jn=r(Ze);jo=i(Jn,"The LLaMA model was proposed in [LLaMA: Open and Efficient Foundation Language Models](LLaMA: Open and Efficient Foundation Language Models)  by Hugo Touvron, Thibaut Lavril, Gautier Izacard, Xavier Martinet, Marie-Anne Lachaux, Timoth\xE9e Lacroix, Baptiste Rozi\xE8re, Naman Goyal, Eric Hambro, Faisal Azhar, Aurelien Rodriguez, Armand Joulin, Edouard Grave, Guillaume Lample. It is a collection of foundation language models ranging from 7B to 65B parameters."),Jn.forEach(o),Zt=c(t),Qe=n(t,"P",{});var Kn=r(Qe);Wo=i(Kn,"The abstract from the paper is the following:"),Kn.forEach(o),Qt=c(t),Ye=n(t,"P",{});var Zn=r(Ye);kt=n(Zn,"EM",{});var Qn=r(kt);Ho=i(Qn,"We introduce LLaMA, a collection of foundation language models ranging from 7B to 65B parameters. We train our models on trillions of tokens, and show that it is possible to train state-of-the-art models using publicly available datasets exclusively, without resorting to proprietary and inaccessible datasets. In particular, LLaMA-13B outperforms GPT-3 (175B) on most benchmarks, and LLaMA-65B is competitive with the best models, Chinchilla-70B and PaLM-540B. We release all our models to the research community."),Qn.forEach(o),Zn.forEach(o),Yt=c(t),et=n(t,"P",{});var Yn=r(et);Go=i(Yn,"Tips:"),Yn.forEach(o),eo=c(t),Q=n(t,"UL",{});var bo=r(Q);tt=n(bo,"LI",{});var Hn=r(tt);Vo=i(Hn,"Weights for the LLaMA models can be obtained from by filling out "),ue=n(Hn,"A",{href:!0,rel:!0});var er=r(ue);Ro=i(er,"this form"),er.forEach(o),Hn.forEach(o),Uo=c(bo),ge=n(bo,"LI",{});var ko=r(ge);Xo=i(ko,"After downloading the weights, they will need to be converted to the Hugging Face Transformers format using the "),ot=n(ko,"A",{href:!0});var tr=r(ot);Jo=i(tr,"conversion script"),tr.forEach(o),Ko=i(ko,". The script can be called with the following (example) command:"),ko.forEach(o),bo.forEach(o),to=c(t),_(_e.$$.fragment,t),oo=c(t),at=n(t,"UL",{});var or=r(at);yt=n(or,"LI",{});var ar=r(yt);Zo=i(ar,"After conversion, the model and tokenizer can be loaded via:"),ar.forEach(o),or.forEach(o),ao=c(t),_(ve.$$.fragment,t),no=c(t),nt=n(t,"UL",{});var nr=r(nt);I=n(nr,"LI",{});var he=r(I);Qo=i(he,"The LLaMA tokenizer is based on "),be=n(he,"A",{href:!0,rel:!0});var rr=r(be);Yo=i(rr,"sentencepiece"),rr.forEach(o),ea=i(he,". One quirk of sentencepiece is that when decoding a sequence, if the first token is the start of the word (e.g. \u201CBanana\u201D), the tokenizer does not prepend the prefix space to the string. To have the tokenizer output the prefix space, set "),Lt=n(he,"CODE",{});var sr=r(Lt);ta=i(sr,"decode_with_prefix_space=True"),sr.forEach(o),oa=i(he," in the "),wt=n(he,"CODE",{});var ir=r(wt);aa=i(ir,"LlamaTokenizer"),ir.forEach(o),na=i(he," object or in the tokenizer configuration."),he.forEach(o),nr.forEach(o),ro=c(t),C=n(t,"P",{});var S=r(C);ra=i(S,"This model was contributed by "),ke=n(S,"A",{href:!0,rel:!0});var lr=r(ke);sa=i(lr,"zphang"),lr.forEach(o),ia=i(S," with contributions from "),ye=n(S,"A",{href:!0,rel:!0});var dr=r(ye);la=i(dr,"BlackSamorez"),dr.forEach(o),da=i(S,". The code of the implementation in Hugging Face is based on GPT-NeoX "),Le=n(S,"A",{href:!0,rel:!0});var cr=r(Le);ca=i(cr,"here"),cr.forEach(o),ma=i(S,". The original code of the authors can be found "),we=n(S,"A",{href:!0,rel:!0});var mr=r(we);ha=i(mr,"here"),mr.forEach(o),pa=i(S,"."),S.forEach(o),so=c(t),j=n(t,"H2",{class:!0});var yo=r(j);Y=n(yo,"A",{id:!0,class:!0,href:!0});var hr=r(Y);Tt=n(hr,"SPAN",{});var pr=r(Tt);_(Te.$$.fragment,pr),pr.forEach(o),hr.forEach(o),fa=c(yo),$t=n(yo,"SPAN",{});var fr=r($t);ua=i(fr,"LlamaConfig"),fr.forEach(o),yo.forEach(o),io=c(t),P=n(t,"DIV",{class:!0});var pe=r(P);_($e.$$.fragment,pe),ga=c(pe),ze=n(pe,"P",{});var Lo=r(ze);_a=i(Lo,"This is the configuration class to store the configuration of a "),rt=n(Lo,"A",{href:!0});var ur=r(rt);va=i(ur,"LlamaModel"),ur.forEach(o),ba=i(Lo,`. It is used to instantiate an LLaMA
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the LLaMA-7B.`),Lo.forEach(o),ka=c(pe),W=n(pe,"P",{});var ut=r(W);ya=i(ut,"Configuration objects inherit from "),st=n(ut,"A",{href:!0});var gr=r(st);La=i(gr,"PretrainedConfig"),gr.forEach(o),wa=i(ut,` and can be used to control the model outputs. Read the
documentation from `),it=n(ut,"A",{href:!0});var _r=r(it);Ta=i(_r,"PretrainedConfig"),_r.forEach(o),$a=i(ut," for more information."),ut.forEach(o),za=c(pe),_(ee.$$.fragment,pe),pe.forEach(o),lo=c(t),H=n(t,"H2",{class:!0});var wo=r(H);te=n(wo,"A",{id:!0,class:!0,href:!0});var vr=r(te);zt=n(vr,"SPAN",{});var br=r(zt);_(Ee.$$.fragment,br),br.forEach(o),vr.forEach(o),Ea=c(wo),Et=n(wo,"SPAN",{});var kr=r(Et);Ma=i(kr,"LlamaTokenizer"),kr.forEach(o),wo.forEach(o),co=c(t),z=n(t,"DIV",{class:!0});var F=r(z);_(Me.$$.fragment,F),Ca=c(F),Mt=n(F,"P",{});var yr=r(Mt);xa=i(yr,"Construct a Llama tokenizer. Based on byte-level Byte-Pair-Encoding."),yr.forEach(o),Pa=c(F),lt=n(F,"DIV",{class:!0});var Lr=r(lt);_(Ce.$$.fragment,Lr),Lr.forEach(o),Aa=c(F),oe=n(F,"DIV",{class:!0});var To=r(oe);_(xe.$$.fragment,To),Fa=c(To),Pe=n(To,"P",{});var $o=r(Pe);qa=i($o,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Ct=n($o,"CODE",{});var wr=r(Ct);Ia=i(wr,"prepare_for_model"),wr.forEach(o),Oa=i($o," method."),$o.forEach(o),To.forEach(o),Sa=c(F),ae=n(F,"DIV",{class:!0});var zo=r(ae);_(Ae.$$.fragment,zo),Na=c(zo),xt=n(zo,"P",{});var Tr=r(xt);Da=i(Tr,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),Tr.forEach(o),zo.forEach(o),Ba=c(F),ne=n(F,"DIV",{class:!0});var Eo=r(ne);_(Fe.$$.fragment,Eo),ja=c(Eo),Pt=n(Eo,"P",{});var $r=r(Pt);Wa=i($r,"Save the vocabulary and special tokens file to a directory."),$r.forEach(o),Eo.forEach(o),F.forEach(o),mo=c(t),G=n(t,"H2",{class:!0});var Mo=r(G);re=n(Mo,"A",{id:!0,class:!0,href:!0});var zr=r(re);At=n(zr,"SPAN",{});var Er=r(At);_(qe.$$.fragment,Er),Er.forEach(o),zr.forEach(o),Ha=c(Mo),Ft=n(Mo,"SPAN",{});var Mr=r(Ft);Ga=i(Mr,"LlamaModel"),Mr.forEach(o),Mo.forEach(o),ho=c(t),E=n(t,"DIV",{class:!0});var N=r(E);_(Ie.$$.fragment,N),Va=c(N),Oe=n(N,"P",{});var Co=r(Oe);Ra=i(Co,`The bare LLaMA Model outputting raw hidden-states without any specific head on top.
This model inherits from `),dt=n(Co,"A",{href:!0});var Cr=r(dt);Ua=i(Cr,"PreTrainedModel"),Cr.forEach(o),Xa=i(Co,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Co.forEach(o),Ja=c(N),Se=n(N,"P",{});var xo=r(Se);Ka=i(xo,"This model is also a PyTorch "),Ne=n(xo,"A",{href:!0,rel:!0});var xr=r(Ne);Za=i(xr,"torch.nn.Module"),xr.forEach(o),Qa=i(xo,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),xo.forEach(o),Ya=c(N),se=n(N,"P",{});var Xt=r(se);en=i(Xt,"Transformer decoder consisting of "),qt=n(Xt,"EM",{});var Pr=r(qt);tn=i(Pr,"config.num_hidden_layers"),Pr.forEach(o),on=i(Xt," layers. Each layer is a "),It=n(Xt,"CODE",{});var Ar=r(It);an=i(Ar,"LlamaDecoderLayer"),Ar.forEach(o),Xt.forEach(o),nn=c(N),ct=n(N,"DIV",{class:!0});var Fr=r(ct);_(De.$$.fragment,Fr),Fr.forEach(o),N.forEach(o),po=c(t),V=n(t,"H2",{class:!0});var Po=r(V);ie=n(Po,"A",{id:!0,class:!0,href:!0});var qr=r(ie);Ot=n(qr,"SPAN",{});var Ir=r(Ot);_(Be.$$.fragment,Ir),Ir.forEach(o),qr.forEach(o),rn=c(Po),St=n(Po,"SPAN",{});var Or=r(St);sn=i(Or,"LlamaForCausalLM"),Or.forEach(o),Po.forEach(o),fo=c(t),R=n(t,"DIV",{class:!0});var Ao=r(R);_(je.$$.fragment,Ao),ln=c(Ao),le=n(Ao,"DIV",{class:!0});var Fo=r(le);_(We.$$.fragment,Fo),dn=c(Fo),_(de.$$.fragment,Fo),Fo.forEach(o),Ao.forEach(o),uo=c(t),U=n(t,"H2",{class:!0});var qo=r(U);ce=n(qo,"A",{id:!0,class:!0,href:!0});var Sr=r(ce);Nt=n(Sr,"SPAN",{});var Nr=r(Nt);_(He.$$.fragment,Nr),Nr.forEach(o),Sr.forEach(o),cn=c(qo),Dt=n(qo,"SPAN",{});var Dr=r(Dt);mn=i(Dr,"LlamaForSequenceClassification"),Dr.forEach(o),qo.forEach(o),go=c(t),w=n(t,"DIV",{class:!0});var x=r(w);_(Ge.$$.fragment,x),hn=c(x),Bt=n(x,"P",{});var Br=r(Bt);pn=i(Br,"The LLaMa Model transformer with a sequence classification head on top (linear layer)."),Br.forEach(o),fn=c(x),mt=n(x,"P",{});var Gn=r(mt);ht=n(Gn,"A",{href:!0});var jr=r(ht);un=i(jr,"LlamaForSequenceClassification"),jr.forEach(o),gn=i(Gn,` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do.`),Gn.forEach(o),_n=c(x),A=n(x,"P",{});var D=r(A);vn=i(D,`Since it does classification on the last token, it requires to know the position of the last token. If a
`),jt=n(D,"CODE",{});var Wr=r(jt);bn=i(Wr,"pad_token_id"),Wr.forEach(o),kn=i(D,` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),Wt=n(D,"CODE",{});var Hr=r(Wt);yn=i(Hr,"pad_token_id"),Hr.forEach(o),Ln=i(D,` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Ht=n(D,"CODE",{});var Gr=r(Ht);wn=i(Gr,"inputs_embeds"),Gr.forEach(o),Tn=i(D," are passed instead of "),Gt=n(D,"CODE",{});var Vr=r(Gt);$n=i(Vr,"input_ids"),Vr.forEach(o),zn=i(D,`, it does the same (take the last value in
each row of the batch).`),D.forEach(o),En=c(x),Ve=n(x,"P",{});var Io=r(Ve);Mn=i(Io,"This model inherits from "),pt=n(Io,"A",{href:!0});var Rr=r(pt);Cn=i(Rr,"PreTrainedModel"),Rr.forEach(o),xn=i(Io,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Io.forEach(o),Pn=c(x),Re=n(x,"P",{});var Oo=r(Re);An=i(Oo,"This model is also a PyTorch "),Ue=n(Oo,"A",{href:!0,rel:!0});var Ur=r(Ue);Fn=i(Ur,"torch.nn.Module"),Ur.forEach(o),qn=i(Oo,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Oo.forEach(o),In=c(x),O=n(x,"DIV",{class:!0});var gt=r(O);_(Xe.$$.fragment,gt),On=c(gt),X=n(gt,"P",{});var _t=r(X);Sn=i(_t,"The "),ft=n(_t,"A",{href:!0});var Xr=r(ft);Nn=i(Xr,"LlamaForSequenceClassification"),Xr.forEach(o),Dn=i(_t," forward method, overrides the "),Vt=n(_t,"CODE",{});var Jr=r(Vt);Bn=i(Jr,"__call__"),Jr.forEach(o),jn=i(_t," special method."),_t.forEach(o),Wn=c(gt),_(me.$$.fragment,gt),gt.forEach(o),x.forEach(o),this.h()},h(){l(p,"name","hf:doc:metadata"),l(p,"content",JSON.stringify(ls)),l(L,"id","llama"),l(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(L,"href","#llama"),l(f,"class","relative group"),l(Z,"id","overview"),l(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Z,"href","#overview"),l(B,"class","relative group"),l(ue,"href","https://docs.google.com/forms/d/e/1FAIpQLSfqNECQnMkycAp2jP4Z9TFX0cGR4uf7b_fBxjY_OjhJILlKGA/viewform?usp=send_form"),l(ue,"rel","nofollow"),l(ot,"href","/src/transformers/models/llama/convert_llama_weights_to_hf.py"),l(be,"href","https://github.com/google/sentencepiece"),l(be,"rel","nofollow"),l(ke,"href","https://huggingface.co/zphang"),l(ke,"rel","nofollow"),l(ye,"href","https://huggingface.co/BlackSamorez"),l(ye,"rel","nofollow"),l(Le,"href","https://github.com/EleutherAI/gpt-neox"),l(Le,"rel","nofollow"),l(we,"href","https://github.com/facebookresearch/llama"),l(we,"rel","nofollow"),l(Y,"id","transformers.LlamaConfig"),l(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Y,"href","#transformers.LlamaConfig"),l(j,"class","relative group"),l(rt,"href","/docs/transformers/main/en/model_doc/llama#transformers.LlamaModel"),l(st,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(it,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(te,"id","transformers.LlamaTokenizer"),l(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(te,"href","#transformers.LlamaTokenizer"),l(H,"class","relative group"),l(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(re,"id","transformers.LlamaModel"),l(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(re,"href","#transformers.LlamaModel"),l(G,"class","relative group"),l(dt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Ne,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ne,"rel","nofollow"),l(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ie,"id","transformers.LlamaForCausalLM"),l(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ie,"href","#transformers.LlamaForCausalLM"),l(V,"class","relative group"),l(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ce,"id","transformers.LlamaForSequenceClassification"),l(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ce,"href","#transformers.LlamaForSequenceClassification"),l(U,"class","relative group"),l(ht,"href","/docs/transformers/main/en/model_doc/llama#transformers.LlamaForSequenceClassification"),l(pt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Ue,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ue,"rel","nofollow"),l(ft,"href","/docs/transformers/main/en/model_doc/llama#transformers.LlamaForSequenceClassification"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,p),h(t,T,m),h(t,f,m),e(f,L),e(L,M),v(u,M,null),e(f,$),e(f,K),e(K,No),h(t,Jt,m),h(t,B,m),e(B,Z),e(Z,vt),v(fe,vt,null),e(B,Do),e(B,bt),e(bt,Bo),h(t,Kt,m),h(t,Ze,m),e(Ze,jo),h(t,Zt,m),h(t,Qe,m),e(Qe,Wo),h(t,Qt,m),h(t,Ye,m),e(Ye,kt),e(kt,Ho),h(t,Yt,m),h(t,et,m),e(et,Go),h(t,eo,m),h(t,Q,m),e(Q,tt),e(tt,Vo),e(tt,ue),e(ue,Ro),e(Q,Uo),e(Q,ge),e(ge,Xo),e(ge,ot),e(ot,Jo),e(ge,Ko),h(t,to,m),v(_e,t,m),h(t,oo,m),h(t,at,m),e(at,yt),e(yt,Zo),h(t,ao,m),v(ve,t,m),h(t,no,m),h(t,nt,m),e(nt,I),e(I,Qo),e(I,be),e(be,Yo),e(I,ea),e(I,Lt),e(Lt,ta),e(I,oa),e(I,wt),e(wt,aa),e(I,na),h(t,ro,m),h(t,C,m),e(C,ra),e(C,ke),e(ke,sa),e(C,ia),e(C,ye),e(ye,la),e(C,da),e(C,Le),e(Le,ca),e(C,ma),e(C,we),e(we,ha),e(C,pa),h(t,so,m),h(t,j,m),e(j,Y),e(Y,Tt),v(Te,Tt,null),e(j,fa),e(j,$t),e($t,ua),h(t,io,m),h(t,P,m),v($e,P,null),e(P,ga),e(P,ze),e(ze,_a),e(ze,rt),e(rt,va),e(ze,ba),e(P,ka),e(P,W),e(W,ya),e(W,st),e(st,La),e(W,wa),e(W,it),e(it,Ta),e(W,$a),e(P,za),v(ee,P,null),h(t,lo,m),h(t,H,m),e(H,te),e(te,zt),v(Ee,zt,null),e(H,Ea),e(H,Et),e(Et,Ma),h(t,co,m),h(t,z,m),v(Me,z,null),e(z,Ca),e(z,Mt),e(Mt,xa),e(z,Pa),e(z,lt),v(Ce,lt,null),e(z,Aa),e(z,oe),v(xe,oe,null),e(oe,Fa),e(oe,Pe),e(Pe,qa),e(Pe,Ct),e(Ct,Ia),e(Pe,Oa),e(z,Sa),e(z,ae),v(Ae,ae,null),e(ae,Na),e(ae,xt),e(xt,Da),e(z,Ba),e(z,ne),v(Fe,ne,null),e(ne,ja),e(ne,Pt),e(Pt,Wa),h(t,mo,m),h(t,G,m),e(G,re),e(re,At),v(qe,At,null),e(G,Ha),e(G,Ft),e(Ft,Ga),h(t,ho,m),h(t,E,m),v(Ie,E,null),e(E,Va),e(E,Oe),e(Oe,Ra),e(Oe,dt),e(dt,Ua),e(Oe,Xa),e(E,Ja),e(E,Se),e(Se,Ka),e(Se,Ne),e(Ne,Za),e(Se,Qa),e(E,Ya),e(E,se),e(se,en),e(se,qt),e(qt,tn),e(se,on),e(se,It),e(It,an),e(E,nn),e(E,ct),v(De,ct,null),h(t,po,m),h(t,V,m),e(V,ie),e(ie,Ot),v(Be,Ot,null),e(V,rn),e(V,St),e(St,sn),h(t,fo,m),h(t,R,m),v(je,R,null),e(R,ln),e(R,le),v(We,le,null),e(le,dn),v(de,le,null),h(t,uo,m),h(t,U,m),e(U,ce),e(ce,Nt),v(He,Nt,null),e(U,cn),e(U,Dt),e(Dt,mn),h(t,go,m),h(t,w,m),v(Ge,w,null),e(w,hn),e(w,Bt),e(Bt,pn),e(w,fn),e(w,mt),e(mt,ht),e(ht,un),e(mt,gn),e(w,_n),e(w,A),e(A,vn),e(A,jt),e(jt,bn),e(A,kn),e(A,Wt),e(Wt,yn),e(A,Ln),e(A,Ht),e(Ht,wn),e(A,Tn),e(A,Gt),e(Gt,$n),e(A,zn),e(w,En),e(w,Ve),e(Ve,Mn),e(Ve,pt),e(pt,Cn),e(Ve,xn),e(w,Pn),e(w,Re),e(Re,An),e(Re,Ue),e(Ue,Fn),e(Re,qn),e(w,In),e(w,O),v(Xe,O,null),e(O,On),e(O,X),e(X,Sn),e(X,ft),e(ft,Nn),e(X,Dn),e(X,Vt),e(Vt,Bn),e(X,jn),e(O,Wn),v(me,O,null),_o=!0},p(t,[m]){const Je={};m&2&&(Je.$$scope={dirty:m,ctx:t}),ee.$set(Je);const Rt={};m&2&&(Rt.$$scope={dirty:m,ctx:t}),de.$set(Rt);const Ut={};m&2&&(Ut.$$scope={dirty:m,ctx:t}),me.$set(Ut)},i(t){_o||(b(u.$$.fragment,t),b(fe.$$.fragment,t),b(_e.$$.fragment,t),b(ve.$$.fragment,t),b(Te.$$.fragment,t),b($e.$$.fragment,t),b(ee.$$.fragment,t),b(Ee.$$.fragment,t),b(Me.$$.fragment,t),b(Ce.$$.fragment,t),b(xe.$$.fragment,t),b(Ae.$$.fragment,t),b(Fe.$$.fragment,t),b(qe.$$.fragment,t),b(Ie.$$.fragment,t),b(De.$$.fragment,t),b(Be.$$.fragment,t),b(je.$$.fragment,t),b(We.$$.fragment,t),b(de.$$.fragment,t),b(He.$$.fragment,t),b(Ge.$$.fragment,t),b(Xe.$$.fragment,t),b(me.$$.fragment,t),_o=!0)},o(t){k(u.$$.fragment,t),k(fe.$$.fragment,t),k(_e.$$.fragment,t),k(ve.$$.fragment,t),k(Te.$$.fragment,t),k($e.$$.fragment,t),k(ee.$$.fragment,t),k(Ee.$$.fragment,t),k(Me.$$.fragment,t),k(Ce.$$.fragment,t),k(xe.$$.fragment,t),k(Ae.$$.fragment,t),k(Fe.$$.fragment,t),k(qe.$$.fragment,t),k(Ie.$$.fragment,t),k(De.$$.fragment,t),k(Be.$$.fragment,t),k(je.$$.fragment,t),k(We.$$.fragment,t),k(de.$$.fragment,t),k(He.$$.fragment,t),k(Ge.$$.fragment,t),k(Xe.$$.fragment,t),k(me.$$.fragment,t),_o=!1},d(t){o(p),t&&o(T),t&&o(f),y(u),t&&o(Jt),t&&o(B),y(fe),t&&o(Kt),t&&o(Ze),t&&o(Zt),t&&o(Qe),t&&o(Qt),t&&o(Ye),t&&o(Yt),t&&o(et),t&&o(eo),t&&o(Q),t&&o(to),y(_e,t),t&&o(oo),t&&o(at),t&&o(ao),y(ve,t),t&&o(no),t&&o(nt),t&&o(ro),t&&o(C),t&&o(so),t&&o(j),y(Te),t&&o(io),t&&o(P),y($e),y(ee),t&&o(lo),t&&o(H),y(Ee),t&&o(co),t&&o(z),y(Me),y(Ce),y(xe),y(Ae),y(Fe),t&&o(mo),t&&o(G),y(qe),t&&o(ho),t&&o(E),y(Ie),y(De),t&&o(po),t&&o(V),y(Be),t&&o(fo),t&&o(R),y(je),y(We),y(de),t&&o(uo),t&&o(U),y(He),t&&o(go),t&&o(w),y(Ge),y(Xe),y(me)}}}const ls={local:"llama",sections:[{local:"overview",title:"Overview"},{local:"transformers.LlamaConfig",title:"LlamaConfig"},{local:"transformers.LlamaTokenizer",title:"LlamaTokenizer"},{local:"transformers.LlamaModel",title:"LlamaModel"},{local:"transformers.LlamaForCausalLM",title:"LlamaForCausalLM"},{local:"transformers.LlamaForSequenceClassification",title:"LlamaForSequenceClassification"}],title:"LLaMA"};function ds(J){return os(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gs extends Qr{constructor(p){super();Yr(this,p,ds,is,es,{})}}export{gs as default,ls as metadata};
